<template>
  <h1>About me</h1>
  <br />
  <app-check-box v-model="formData.enough" title="You are over 18 years old" />

  <br />
  Status:
  <app-radio
    v-for="item of options"
    :key="item.value"
    name="status"
    :value="item.value"
    :title="item.title"
    v-model="status"
    class="mb-2"
  />

  <span>{{ sort }}</span>

  <p>{{ formData }}</p>
</template>

<script setup>
import { ref, onMounted, reactive } from 'vue';
import { useRoute } from 'vue-router';
const status = ref(Math.floor(Math.random() * 3));
const over18 = ref(false);
const formData = reactive({
  keyword: 'input your keyword',
  accept: true,
  enough: false
});
const route = useRoute();

const options = [
  {
    value: 1,
    title: 'Vue'
  },
  {
    value: 2,
    title: 'React'
  },
  {
    value: 3,
    title: 'Angular'
  }
];

const sort = ref('asc');

onMounted(() => {
  console.log(route.query);
  if (route.query.sort) {
    sort.value = route.query.sort;
  }
  if (route.query.over18) {
    over18.value = true;
  }

  Object.keys(route.query).forEach((item) => {
    formData[item] = route.query[item];
  });
});
</script>

<style></style>
